Qt v5.9.5 gets detected as v5.10

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Qt v5.9.5 gets detected as v5.10

Dmitry Shachnev
Hi Phil!

In Ubuntu, we were trying to build PyQt v5.10.1 against Qt v5.9.5 (LTS) and
got this error:

sipQtCorepart2.cpp:9829:21: error: ‘class QThreadPool’ has no member named ‘setStackSize’

This code is guarded by %If (Qt_5_10_0 -) ... %End, so maybe sip thinks this
is Qt v5.10?

During configure sip was invoked with “-t Qt_5_9_5” and “-B Qt_6_0_0” options.

The full build log is here:
https://launchpadlibrarian.net/365454925/buildlog_ubuntu-bionic-s390x.pyqt5_5.10.1+dfsg-1_BUILDING.txt.gz

For now I am going to explicitly add Qt_5_9_5 to the timeline, but it would be
nice to get it fixed properly.

--
Dmitry Shachnev

_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Qt v5.9.5 gets detected as v5.10

Phil Thompson-5
On 15 Apr 2018, at 12:00 pm, Dmitry Shachnev <[hidden email]> wrote:

>
> Hi Phil!
>
> In Ubuntu, we were trying to build PyQt v5.10.1 against Qt v5.9.5 (LTS) and
> got this error:
>
> sipQtCorepart2.cpp:9829:21: error: ‘class QThreadPool’ has no member named ‘setStackSize’
>
> This code is guarded by %If (Qt_5_10_0 -) ... %End, so maybe sip thinks this
> is Qt v5.10?
>
> During configure sip was invoked with “-t Qt_5_9_5” and “-B Qt_6_0_0” options.
>
> The full build log is here:
> https://launchpadlibrarian.net/365454925/buildlog_ubuntu-bionic-s390x.pyqt5_5.10.1+dfsg-1_BUILDING.txt.gz
>
> For now I am going to explicitly add Qt_5_9_5 to the timeline, but it would be
> nice to get it fixed properly.

That is the correct fix.

Thanks,
Phil
_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt